
Redmine - Feature #25000

Make Key/value list format custom field values (custom_field_enumerations) searchable

2017-02-05 07:20 - Yuuki NARA

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

The choices of the key value list are excluded from the full-text search.

The choices of List are included in the subject of full-text search.

From the user's viewpoint, key value list and list can not be identified.

This behavior confuses the user.

The reason for this is that the list is saved as text on the DB and the key value list is saved as internal index number.

I think,  we can solve in this way.

create a dummy text field in the ticket and save the Key value list text dump

What do you think?

Related issues:

Related to Redmine - Feature #26017: Get also labels for key/value custom fie... New

History

#1 - 2017-02-08 14:18 - Go MAEDA

- Category set to Search engine

#2 - 2017-02-10 06:17 - Mischa The Evil

- Tracker changed from Defect to Feature

- Subject changed from The choices of the key value list are excluded from the full-text search to Make Key/value list format custom field values

(custom_field_enumerations) searchable

Yuuki NARA wrote:

[...]

From the user's viewpoint, key value list and list can not be identified.

This behavior confuses the user.

[...]

 I agree. Though, this isn't a true defect imho. Key/value list format custom field values (custom_field_enumerations) are, as of the introduction date of

kv-list cf's upto today, not (yet) searchable. This is rather a feature request to make these values searchable. I'll edit this issue therefor as such.

#3 - 2017-05-23 03:57 - Go MAEDA

- Related to Feature #26017: Get also labels for key/value custom fields by API added
